Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc
Enum XMLDocument.XMLType

    java.lang.Object
      java.lang.Enum<XMLDocument.XMLType>
          nl.liacs.subdisc.XMLDocument.XMLType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XMLDocument.XMLType>

Enclosing class:
  XMLDocument

    public static enum XMLDocument.XMLType

extends java.lang.Enum<XMLDocument.XMLType>

Enum Constant Summary
`AUTORUN`
`MRML`
`PATTERNSET`

Method Summary
`static XMLDocument.XMLType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XMLDocument.XMLType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTORUN

    public static final XMLDocument.XMLType AUTORUN

### MRML

    public static final XMLDocument.XMLType MRML

### PATTERNSET

    public static final XMLDocument.XMLType PATTERNSET

Method Detail

### values

    public static XMLDocument.XMLType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XMLDocument.XMLType c : XMLDocument.XMLType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XMLDocument.XMLType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD